/***************************************************************************
 *   Copyright (C) 2004 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef HONOKA_DEF_H
#define HONOKA_DEF_H

#define HONOKA_CONFIG_KEY_CONVERSION_START         "/IMEngine/Honoka/Key/ConversionStart"
#define HONOKA_DEFAULT_KEY_CONVERSION_START        "space"
#define HONOKA_CONFIG_KEY_MULTI_CONVERSION         "/IMEngine/Honoka/Key/MultiConversion"
#define HONOKA_DEFAULT_KEY_MULTI_CONVERSION        "Control+Alt+space"
#define HONOKA_CONFIG_KEY_CANCEL                   "/IMEngine/Honoka/Key/Cancel"
#define HONOKA_DEFAULT_KEY_CANCEL                  "Escape,Control+g"
#define HONOKA_CONFIG_KEY_DELETE                   "/IMEngine/Honoka/Key/Delete"
#define HONOKA_DEFAULT_KEY_DELETE                  "Delete"
#define HONOKA_CONFIG_KEY_BACKSPACE                "/IMEngine/Honoka/Key/BackSpace"
#define HONOKA_DEFAULT_KEY_BACKSPACE               "BackSpace"
#define HONOKA_CONFIG_KEY_COMMIT                   "/IMEngine/Honoka/Key/Commit"
#define HONOKA_DEFAULT_KEY_COMMIT                  "Return"
#define HONOKA_CONFIG_KEY_FURIGANA_COMMIT          "/IMEngine/Honoka/Key/Furigana"
#define HONOKA_DEFAULT_KEY_FURIGANA_COMMIT         "Shift+Return"
#define HONOKA_CONFIG_KEY_CONVERSION_NEXT          "/IMEngine/Honoka/Key/ConversionNext"
#define HONOKA_DEFAULT_KEY_CONVERSION_NEXT         "space,Down"
#define HONOKA_CONFIG_KEY_CONVERSION_PREV          "/IMEngine/Honoka/Key/ConversionPrev"
#define HONOKA_DEFAULT_KEY_CONVERSION_PREV         "Up"
#define HONOKA_CONFIG_KEY_CONVERSION_EXPAND        "/IMEngine/Honoka/Key/ConversionExpand"
#define HONOKA_DEFAULT_KEY_CONVERSION_EXPAND       "Shift+Right,Control+o"
#define HONOKA_CONFIG_KEY_CONVERSION_SHRINK        "/IMEngine/Honoka/Key/ConversionShrink"
#define HONOKA_DEFAULT_KEY_CONVERSION_SHRINK       "Shift+Left,Control+i"
#define HONOKA_CONFIG_KEY_CONVERSION_FORWARD       "/IMEngine/Honoka/Key/ConversionForward"
#define HONOKA_DEFAULT_KEY_CONVERSION_FORWARD      "Right"
#define HONOKA_CONFIG_KEY_CONVERSION_BACKWARD      "/IMEngine/Honoka/Key/ConversionBackward"
#define HONOKA_DEFAULT_KEY_CONVERSION_BACKWARD     "Left"
#define HONOKA_CONFIG_KEY_FORWARD                  "/IMEngine/Honoka/Key/Forward"
#define HONOKA_DEFAULT_KEY_FORWARD                 "Right"
#define HONOKA_CONFIG_KEY_BACKWARD                 "/IMEngine/Honoka/Key/Backward"
#define HONOKA_DEFAULT_KEY_BACKWARD                "Left"
#define HONOKA_CONFIG_KEY_HOME                     "/IMEngine/Honoka/Key/Home"
#define HONOKA_DEFAULT_KEY_HOME                    "Home"
#define HONOKA_CONFIG_KEY_END                      "/IMEngine/Honoka/Key/End"
#define HONOKA_DEFAULT_KEY_END                     "End"
#define HONOKA_CONFIG_KEY_LOOKUPPOPUP              "/IMEngine/Honoka/Key/LookupPopup"
#define HONOKA_DEFAULT_KEY_LOOKUPPOPUP             "Alt+s"
#define HONOKA_CONFIG_KEY_LOOKUPPAGEUP             "/IMEngine/Honoka/Key/LookupPageUp"
#define HONOKA_DEFAULT_KEY_LOOKUPPAGEUP            "Page_Up"
#define HONOKA_CONFIG_KEY_LOOKUPPAGEDOWN           "/IMEngine/Honoka/Key/LookupPageDown"
#define HONOKA_DEFAULT_KEY_LOOKUPPAGEDOWN          "Page_Down"
#define HONOKA_CONFIG_KEY_CONVERT_HIRAGANA         "/IMEngine/Honoka/Key/ConvertHiragana"
#define HONOKA_DEFAULT_KEY_CONVERT_HIRAGANA        "Alt+h"
#define HONOKA_CONFIG_KEY_CONVERT_KATAKANA         "/IMEngine/Honoka/Key/ConvertKatakana"
#define HONOKA_DEFAULT_KEY_CONVERT_KATAKANA        "Alt+k"
#define HONOKA_CONFIG_KEY_CONVERT_HALF             "/IMEngine/Honoka/Key/ConvertHalf"
#define HONOKA_DEFAULT_KEY_CONVERT_HALF            "F6"
#define HONOKA_CONFIG_KEY_CONVERT_WIDE             "/IMEngine/Honoka/Key/ConvertWide"
#define HONOKA_DEFAULT_KEY_CONVERT_WIDE            "F5"
#define HONOKA_CONFIG_KEY_NEXT_CONVERTOR           "/IMEngine/Honoka/Key/NextConvertor"
#define HONOKA_DEFAULT_KEY_NEXT_CONVERTOR          "Control+Page_Down"
#define HONOKA_CONFIG_KEY_PREV_CONVERTOR           "/IMEngine/Honoka/Key/PrevConvertor"
#define HONOKA_DEFAULT_KEY_PREV_CONVERTOR          "Control+Page_Up"
#define HONOKA_CONFIG_KEY_SELECTION_PREFIX         "/IMEngine/Honoka/Key/Selection"

#define HONOKA_CONFIG_KEY_CONVERSION_IKEIJI        "/IMEngine/Honoka/Key/ConversionIkeiji"
#define HONOKA_DEFAULT_KEY_CONVERSION_IKEIJI       "Shift+F8"
#define HONOKA_CONFIG_KEY_CONVERSION_RENSOU        "/IMEngine/Honoka/Key/ConversionRensou"
#define HONOKA_DEFAULT_KEY_CONVERSION_RENSOU       "Shift+F9"
#define HONOKA_CONFIG_KEY_SELECT_PREDICTION        "/IMEngine/Honoka/Key/SelectPrediction"
#define HONOKA_DEFAULT_KEY_SELECT_PREDICTION       "Tab"
#define HONOKA_CONFIG_KEY_AUTO_CONVERSION          "/IMEngine/Honoka/Key/AutoConversion"
#define HONOKA_DEFAULT_KEY_AUTO_CONVERSION         "Alt+a"
#define HONOKA_CONFIG_KEY_RECONVERSION             "/IMEngine/Honoka/Key/ReConversion"
#define HONOKA_DEFAULT_KEY_RECONVERSION            "Alt+space"
#define HONOKA_CONFIG_KEY_RESULTTOPREEDIT          "/IMEngine/Honoka/Key/SetResultToPreEditor"
#define HONOKA_DEFAULT_KEY_RESULTTOPREEDIT         "Control+Return"


#define HONOKA_CONFIG_ALP                          "/IMEngine/Honoka/AutoLookupPopup"
#define HONOKA_DEFAULT_ALP                         3
#define HONOKA_CONFIG_AUTO_CONVERSION              "/IMEngine/Honoka/AutoConversion"
#define HONOKA_DEFAULT_AUTO_CONVERSION             false
#define HONOKA_CONFIG_NUMKEY_SELECT                "/IMEngine/Honoka/NumkeySelection"
#define HONOKA_DEFAULT_NUMKEY_SELECT               true
#define HONOKA_CONFIG_DEFAULT_PREEDITOR            "/IMEngine/Honoka/DefaultPreEditor"
#define HONOKA_DEFAULT_DEFAULT_PREEDITOR           "Romkan"
#define HONOKA_CONFIG_DEFAULT_CONVERTOR            "/IMEngine/Honoka/DefaultConvertor"
#define HONOKA_DEFAULT_DEFAULT_CONVERTOR           "Wnn,Anthy"
#define HONOKA_CONFIG_DEFAULT_PREDICTOR            "/IMEngine/Honoka/DefaultPredictor"
#define HONOKA_DEFAULT_DEFAULT_PREDICTOR           "WnnPrediction,SimplePrediction"

#define HONOKA_CONFIG_ACPREDICTOR_MULTI            "/IMEngine/Honoka/ACPredictor/Multiple"
#define HONOKA_DEFAULT_ACPREDICTOR_MULTI           true

#define HONOKA_CONFIG_MINISTATUS                   "/IMEngine/Honoka/MiniStatus"
#define HONOKA_DEFAULT_MINISTATUS                  false

#define HONOKA_CONFIG_PREDICTION                    "/IMEngine/Honoka/Prediction"
#define HONOKA_DEFAULT_PREDICTION                   true

#define HONOKA_CONFIG_REALTIME_PREDICTION          "/IMEngine/Honoka/RealtimePrediction"
#define HONOKA_DEFAULT_REALTIME_PREDICTION         true
#define HONOKA_CONFIG_SELECT_PREDICTION_DIRECT     "/IMEngine/Honoka/SelectPredictionDirect"
#define HONOKA_DEFAULT_SELECT_PREDICTION_DIRECT   false
#define HONOKA_CONFIG_PREDICTION_DELAY             "/IMEngine/Honoka/PredictionDelay"
#define HONOKA_DEFAULT_PREDICTION_DELAY            3
#define HONOKA_CONFIG_SAVE_SETTING                 "/IMEngine/Honoka/SaveSetting"
#define HONOKA_DEFAULT_SAVE_SETTING                false


#define HONOKA_PROP_MODESTATUS                     "/IMEngine/Honoka/Property/ModeStatus"
#define HONOKA_PROP_INPUTMODE                      "/IMEngine/Honoka/InputMode"
#define HONOKA_PROP_CONVERSIONMODE                 "/IMEngine/Honoka/ConversionMode"
#define HONOKA_PROP_CONVERTOR                      "/IMEngine/Honoka/Convertor"
#define HONOKA_PROP_PREDICTOR                      "/IMEngine/Honoka/Predictor"

#define HONOKA_PREVIOUS_PREEDITOR                  "/IMEngine/Honoka/PreviousSetting/PreEditor"
#define HONOKA_PREVIOUS_PREDICTOR                  "/IMEngine/Honoka/PreviousSetting/Predictor"
#define HONOKA_PREVIOUS_CONVERTOR                  "/IMEngine/Honoka/PreviousSetting/Convertor"

#endif
